Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.knowgate.training
Class AcademicCourseBooking

    java.lang.Object
      com.knowgate.dataobjs.DBPersist
          com.knowgate.training.AcademicCourseBooking

All Implemented Interfaces:
  java.io.Serializable, java.util.Map

    public class AcademicCourseBooking

extends DBPersist

Booking for an academic course

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry<K,V>`

Field Summary
`static short` | `ClassId`

Fields inherited from class com.knowgate.dataobjs.DBPersist
`AllVals, sAuditCls, sAuditUsr, sTransactId`

Constructor Summary
`AcademicCourseBooking()`
`AcademicCourseBooking(JDCConnection oConn, java.lang.String sAcademicCourseId, java.lang.String sContactId)`
`AcademicCourseBooking(java.lang.String sAcademicCourseId, java.lang.String sContactId)`

Method Summary
`java.math.BigDecimal` | `amount()`
`boolean` | `canceled()`
`boolean` | `confirmed()`
`AcademicCourseAlumni` | `createAlumni(JDCConnection oConn)`
`Invoice` | `createInvoiceForCompany(JDCConnection oConn, java.lang.String sGuShop)`
`Invoice` | `createInvoiceForContact(JDCConnection oConn, java.lang.String sGuShop)`
`AcademicCourseAlumni` | `getAlumni(JDCConnection oConn)`
`Contact` | `getContact(JDCConnection oConn)`
`Invoice` | `getInvoice(JDCConnection oConn)`
`boolean` | `isAlumni(JDCConnection oConn)`
`boolean` | `paid()`
`boolean` | `waiting()`

Methods inherited from class com.knowgate.dataobjs.DBPersist
`allcaps, allcaps, changelog, clear, clone, containsKey, containsValue, delete, entrySet, exists, get, get, getAuditClassName, getCreationDate, getDate, getDateFormated, getDateShort, getDateTime, getDateTime24, getDecimal, getDecimalFormated, getDecimalFormated, getDouble, getDoubleFormated, getFloat, getFloatFormated, getInt, getInteger, getIntervalPart, getItemMap, getItems, getMoney, getShort, getSQLDate, getSQLTime, getString, getStringHtml, getStringNull, getTable, getTable, getTableName, getTime, getTimeOfDay, getTimestamp, getUIdFromName, isEmpty, isNull, iterator, keySet, load, load, parseXML, put, put, put, put, put, put, put, put, put, put, put, put, put, put, put, put, put, putAll, putAll, remove, remove, replace, replace, replace, replace, replace, replace, replace, replace, setAuditTransact, setAuditUser, setCreationDate, size, store, toLowerCase, toUpperCase, toXML, toXML, toXML, toXML, values`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Field Detail

### ClassId

    public static final short ClassId

See Also:
  Constant Field Values

Constructor Detail

### AcademicCourseBooking

    public AcademicCourseBooking()

### AcademicCourseBooking

    public AcademicCourseBooking(java.lang.String sAcademicCourseId,
                                 java.lang.String sContactId)

### AcademicCourseBooking

    public AcademicCourseBooking(JDCConnection oConn,
                                 java.lang.String sAcademicCourseId,
                                 java.lang.String sContactId)
                          throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

Method Detail

### confirmed

    public boolean confirmed()

### paid

    public boolean paid()

### amount

    public java.math.BigDecimal amount()

### waiting

    public boolean waiting()

### canceled

    public boolean canceled()

### createAlumni

    public AcademicCourseAlumni createAlumni(JDCConnection oConn)
                                      throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### createInvoiceForCompany

    public Invoice createInvoiceForCompany(JDCConnection oConn,
                                           java.lang.String sGuShop)
                                    throws java.sql.SQLException,
                                           java.lang.IllegalStateException

  Throws:
    `java.sql.SQLException`
    `java.lang.IllegalStateException`

### createInvoiceForContact

    public Invoice createInvoiceForContact(JDCConnection oConn,
                                           java.lang.String sGuShop)
                                    throws java.sql.SQLException,
                                           java.lang.IllegalStateException

  Throws:
    `java.sql.SQLException`
    `java.lang.IllegalStateException`

### getInvoice

    public Invoice getInvoice(JDCConnection oConn)
                       throws java.sql.SQLException,
                              java.lang.IllegalStateException

  Throws:
    `java.sql.SQLException`
    `java.lang.IllegalStateException`

### getContact

    public Contact getContact(JDCConnection oConn)
                       throws java.sql.SQLException,
                              java.lang.IllegalStateException

  Throws:
    `java.sql.SQLException`
    `java.lang.IllegalStateException`

### getAlumni

    public AcademicCourseAlumni getAlumni(JDCConnection oConn)
                                   throws java.sql.SQLException,
                                          java.lang.IllegalStateException

  Throws:
    `java.sql.SQLException`
    `java.lang.IllegalStateException`

### isAlumni

    public boolean isAlumni(JDCConnection oConn)
                     throws java.sql.SQLException,
                            java.lang.IllegalStateException

  Throws:
    `java.sql.SQLException`
    `java.lang.IllegalStateException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD